#ifndef AXISSETTINGFORM_H
#define AXISSETTINGFORM_H

#include <QWidget>
#include "centralwidget.h"

namespace Ui {
class AxisSettingForm;
}

class AxisSettingForm : public QWidget
{
    Q_OBJECT

public:
    explicit AxisSettingForm(QWidget *parent = nullptr);
    ~AxisSettingForm();

signals:
    void sigSetAxisSettings(const QVector<double>);
    void sigGetAxisInfo();
public slots:
    void slotGetAxisInfoWithData(const QVector<CentralWidget::AxisInfo>);
protected:
    void showEvent(QShowEvent *event) override;
private slots:
    void on_pushButtonConfirm_clicked();

    void on_pushButtonCancel_clicked();

private:
    Ui::AxisSettingForm *ui;
};

#endif // AXISSETTINGFORM_H
